<!DOCTYPE html>
<html lang="pt-br">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Cadastro</title>
    <link rel="stylesheet" href="assets/css/style-cadas.css">
    <script src="assets/js/vue.global.js"></script>
</head>
<body>
    <div id="app">
        <h1>CADASTRO DE USUARIO!</h1>
        <form action="">
            <label for="newUsername">Nome de Usuario</label>
            <input type="text" v-model="newUsername" required>

            <label for="newPassword">Senha</label>
            <input type="password" v-model="newPassword" required>
            
            <label for="confirmPassword">Confirmar Senha</label>
            <input type="password" v-model="confirmPassword" required>
        <button type="submit" @click.prevent="adicionarUsuario">Cadastrar</button>
        </form>
        <!-- <p>Usuario: {{usuario}}</p> -->
        <!-- <p>Senha: {{senha}}</p> -->

        <p class="erro" :class="{entrada: mostrarEntrada}">{{erro}}</p>
        <p class="sucesso" :class="{entrada: mostrarEntrada}">{{sucesso}}</p>

        <!-- Processo de listagem dos usuarios e senhas cadastrados nos vetores -->
    <div class="borda">
        <button @click="listarUsuarios" >
            {{mostrarLista ? "Ocultar Lista" : "Mostrar Lista"}}
        </button>

        <!-- Lista dos usuarios cadastrados -->
        <ol v-if="mostrarLista">
            <li v-for="(usuario, index) in usuarios">
                Usuario:{{usuario}}<br>Senha: {{senhas[index]}}
                <button @click="excluirUsuario(usuario)">Excluir {{usuario}}</button>
            </li>
        </ol> <!--Fechamento Lista Ordenada-->
    </div><!--Fechamento da div-->

    </div> 
    <script src="assets/js/process.js"></script>
</body>
</html>